Linux tsuru-no-tsurugi 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.0.18 & Your IP : 216.73.217.105
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core22 /
2411 /
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
aa-remove-unknown
3
KB
-rwxr-xr-x
2025-08-15 21:17
aa-status
62.62
KB
-rwxr-xr-x
2025-08-15 21:17
aa-teardown
137
B
-rwxr-xr-x
2022-02-10 09:45
add-shell
1.03
KB
-rwxr-xr-x
2022-03-23 22:49
addgroup
37.35
KB
-rwxr-xr-x
2021-01-06 15:16
adduser
37.35
KB
-rwxr-xr-x
2021-01-06 15:16
agetty
55.56
KB
-rwxr-xr-x
2024-04-10 00:32
apparmor_parser
1.48
MB
-rwxr-xr-x
2025-08-15 21:17
apparmor_status
62.62
KB
-rwxr-xr-x
2025-08-15 21:17
arpd
26.33
KB
-rwxr-xr-x
2022-03-24 20:56
arptables
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
arptables-nft
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
arptables-nft-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
arptables-nft-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
arptables-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
arptables-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
badblocks
34.32
KB
-rwxr-xr-x
2023-10-09 10:50
blkdeactivate
15.97
KB
-rwxr-xr-x
2024-11-28 04:04
blkdiscard
22.38
KB
-rwxr-xr-x
2024-04-10 00:32
blkid
50.41
KB
-rwxr-xr-x
2024-04-10 00:32
blkzone
34.38
KB
-rwxr-xr-x
2024-04-10 00:32
blockdev
30.38
KB
-rwxr-xr-x
2024-04-10 00:32
bridge
92.49
KB
-rwxr-xr-x
2022-03-24 20:56
capsh
30.3
KB
-rwxr-xr-x
2025-02-21 00:51
cfdisk
94.73
KB
-rwxr-xr-x
2024-04-10 00:32
chcpu
30.38
KB
-rwxr-xr-x
2024-04-10 00:32
chgpasswd
58.13
KB
-rwxr-xr-x
2024-02-06 21:54
chmem
34.38
KB
-rwxr-xr-x
2024-04-10 00:32
chpasswd
54.16
KB
-rwxr-xr-x
2024-02-06 21:54
chroot
38.51
KB
-rwxr-xr-x
2024-02-08 12:46
cpgr
48.29
KB
-rwxr-xr-x
2024-02-06 21:54
cppw
48.29
KB
-rwxr-xr-x
2024-02-06 21:54
cryptdisks_start
1.51
KB
-rwxr-xr-x
2022-01-14 06:44
cryptdisks_stop
844
B
-rwxr-xr-x
2022-01-14 06:44
cryptsetup
169.92
KB
-rwxr-xr-x
2025-03-08 02:50
cryptsetup-reencrypt
90.38
KB
-rwxr-xr-x
2025-03-08 02:50
cryptsetup-ssh
23.53
KB
-rwxr-xr-x
2025-03-08 02:50
ctrlaltdel
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
dcb
80.52
KB
-rwxr-xr-x
2022-03-24 20:56
debugfs
229.8
KB
-rwxr-xr-x
2023-10-09 10:50
delgroup
16.11
KB
-rwxr-xr-x
2021-01-06 15:16
deluser
16.11
KB
-rwxr-xr-x
2021-01-06 15:16
depmod
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
devlink
142.86
KB
-rwxr-xr-x
2022-03-24 20:56
dhclient
442.66
KB
-rwxr-xr-x
2023-02-01 06:54
dhclient-script
15.92
KB
-rwxr-xr-x
2023-02-01 06:54
dmsetup
171.02
KB
-rwxr-xr-x
2024-11-28 04:04
dmstats
171.02
KB
-rwxr-xr-x
2024-11-28 04:04
dosfsck
82.38
KB
-rwxr-xr-x
2022-03-23 22:51
dosfslabel
38.38
KB
-rwxr-xr-x
2022-03-23 22:51
dumpe2fs
30.31
KB
-rwxr-xr-x
2023-10-09 10:50
e2freefrag
14.3
KB
-rwxr-xr-x
2023-10-09 10:50
e2fsck
351.84
KB
-rwxr-xr-x
2023-10-09 10:50
e2image
42.31
KB
-rwxr-xr-x
2023-10-09 10:50
e2label
102.55
KB
-rwxr-xr-x
2023-10-09 10:50
e2mmpstatus
30.31
KB
-rwxr-xr-x
2023-10-09 10:50
e2scrub
7.13
KB
-rwxr-xr-x
2023-10-09 10:50
e2scrub_all
5.27
KB
-rwxr-xr-x
2023-10-09 10:50
e2undo
22.3
KB
-rwxr-xr-x
2023-10-09 10:50
e4crypt
30.38
KB
-rwxr-xr-x
2023-10-09 10:50
e4defrag
30.3
KB
-rwxr-xr-x
2023-10-09 10:50
ebtables
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ebtables-nft
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ebtables-nft-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ebtables-nft-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ebtables-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ebtables-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
faillock
14.15
KB
-rwxr-xr-x
2025-06-12 23:45
fatlabel
38.38
KB
-rwxr-xr-x
2022-03-23 22:51
fdisk
110.42
KB
-rwxr-xr-x
2024-04-10 00:32
filefrag
18.32
KB
-rwxr-xr-x
2023-10-09 10:50
findfs
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
fsck
42.42
KB
-rwxr-xr-x
2024-04-10 00:32
fsck.cramfs
30.44
KB
-rwxr-xr-x
2024-04-10 00:32
fsck.ext2
351.84
KB
-rwxr-xr-x
2023-10-09 10:50
fsck.ext3
351.84
KB
-rwxr-xr-x
2023-10-09 10:50
fsck.ext4
351.84
KB
-rwxr-xr-x
2023-10-09 10:50
fsck.fat
82.38
KB
-rwxr-xr-x
2022-03-23 22:51
fsck.minix
54.41
KB
-rwxr-xr-x
2024-04-10 00:32
fsck.msdos
82.38
KB
-rwxr-xr-x
2022-03-23 22:51
fsck.vfat
82.38
KB
-rwxr-xr-x
2022-03-23 22:51
fsfreeze
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
fstab-decode
18.3
KB
-rwxr-xr-x
2021-12-15 06:17
fstrim
42.38
KB
-rwxr-xr-x
2024-04-10 00:32
genl
90.44
KB
-rwxr-xr-x
2022-03-24 20:56
getcap
14.3
KB
-rwxr-xr-x
2025-02-21 00:51
getpcaps
14.3
KB
-rwxr-xr-x
2025-02-21 00:51
getty
55.56
KB
-rwxr-xr-x
2024-04-10 00:32
groupadd
66.91
KB
-rwxr-xr-x
2024-02-06 21:54
groupdel
62.73
KB
-rwxr-xr-x
2024-02-06 21:54
groupmems
54.19
KB
-rwxr-xr-x
2024-02-06 21:54
groupmod
66.82
KB
-rwxr-xr-x
2024-02-06 21:54
grpck
58.13
KB
-rwxr-xr-x
2024-02-06 21:54
grpconv
50.01
KB
-rwxr-xr-x
2024-02-06 21:54
grpunconv
50.01
KB
-rwxr-xr-x
2024-02-06 21:54
halt
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
hwclock
50.5
KB
-rwxr-xr-x
2024-04-10 00:32
iconvconfig
30.4
KB
-rwxr-xr-x
2026-01-30 17:20
init
1.76
MB
-rwxr-xr-x
2026-06-06 00:40
insmod
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
installkernel
2.6
KB
-rwxr-xr-x
2022-03-23 22:49
integritysetup
54.07
KB
-rwxr-xr-x
2025-03-08 02:50
invoke-rc.d
16.12
KB
-rwxr-xr-x
2021-12-08 06:55
ip
702.05
KB
-rwxr-xr-x
2025-10-03 22:53
ip6tables
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-apply
6.89
KB
-rwxr-xr-x
2021-01-16 07:03
ip6tables-legacy
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-legacy-restore
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-legacy-save
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-nft
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-nft-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-nft-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-restore-translate
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
ip6tables-translate
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-apply
6.89
KB
-rwxr-xr-x
2021-01-16 07:03
iptables-legacy
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-legacy-restore
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-legacy-save
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-nft
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-nft-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-nft-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-restore
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-restore-translate
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-save
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
iptables-translate
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
isosize
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
killall5
30.38
KB
-rwxr-xr-x
2021-12-15 06:17
ldattach
26.38
KB
-rwxr-xr-x
2024-04-10 00:32
ldconfig
387
B
-rwxr-xr-x
2026-01-30 17:20
ldconfig.real
1.16
MB
-rwxr-xr-x
2026-01-30 17:20
logsave
14.16
KB
-rwxr-xr-x
2023-10-09 10:50
losetup
70.52
KB
-rwxr-xr-x
2024-04-10 00:32
lsmod
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
luksformat
3.32
KB
-rwxr-xr-x
2022-01-14 06:44
mkdosfs
50.83
KB
-rwxr-xr-x
2022-03-23 22:51
mke2fs
130.62
KB
-rwxr-xr-x
2023-10-09 10:50
mkfs
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
mkfs.bfs
22.38
KB
-rwxr-xr-x
2024-04-10 00:32
mkfs.cramfs
34.32
KB
-rwxr-xr-x
2024-04-10 00:32
mkfs.ext2
130.62
KB
-rwxr-xr-x
2023-10-09 10:50
mkfs.ext3
130.62
KB
-rwxr-xr-x
2023-10-09 10:50
mkfs.ext4
130.62
KB
-rwxr-xr-x
2023-10-09 10:50
mkfs.fat
50.83
KB
-rwxr-xr-x
2022-03-23 22:51
mkfs.minix
42.39
KB
-rwxr-xr-x
2024-04-10 00:32
mkfs.msdos
50.83
KB
-rwxr-xr-x
2022-03-23 22:51
mkfs.vfat
50.83
KB
-rwxr-xr-x
2022-03-23 22:51
mkhomedir_helper
22.17
KB
-rwxr-xr-x
2025-06-12 23:45
mklost+found
14.3
KB
-rwxr-xr-x
2023-10-09 10:50
mkswap
46.38
KB
-rwxr-xr-x
2024-04-10 00:32
modinfo
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
modprobe
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
netplan
798
B
-rwxr-xr-x
2023-05-18 02:11
newusers
74.73
KB
-rwxr-xr-x
2024-02-06 21:54
nfnl_osf
18.3
KB
-rwxr-xr-x
2024-01-17 06:14
nologin
14.3
KB
-rwxr-xr-x
2024-02-06 21:54
pam-auth-update
20.5
KB
-rwxr-xr-x
2024-11-17 19:17
pam_extrausers_chkpwd
22.15
KB
-rwxr-sr-x
2025-06-12 23:45
pam_extrausers_update
30.15
KB
-rwxr-xr-x
2025-06-12 23:45
pam_getenv
2.82
KB
-rwxr-xr-x
2024-11-17 19:17
pam_timestamp_check
14.15
KB
-rwxr-xr-x
2025-06-12 23:45
pivot_root
14.38
KB
-rwxr-xr-x
2024-04-10 00:32
plymouthd
150.55
KB
-rwxr-xr-x
2023-01-03 18:56
poweroff
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
pwck
50.13
KB
-rwxr-xr-x
2024-02-06 21:54
pwconv
46.01
KB
-rwxr-xr-x
2024-02-06 21:54
pwunconv
42.01
KB
-rwxr-xr-x
2024-02-06 21:54
readprofile
22.41
KB
-rwxr-xr-x
2024-04-10 00:32
reboot
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
remove-shell
1.07
KB
-rwxr-xr-x
2022-03-23 22:49
resize2fs
66.3
KB
-rwxr-xr-x
2023-10-09 10:50
rfkill
30.23
KB
-rwxr-xr-x
2024-04-10 00:32
rmmod
166.36
KB
-rwxr-xr-x
2026-04-30 21:32
rmt
58.57
KB
-rwxr-xr-x
2023-12-05 14:15
rmt-tar
58.57
KB
-rwxr-xr-x
2023-12-05 14:15
rtacct
28.31
KB
-rwxr-xr-x
2022-03-24 20:56
rtcwake
34.38
KB
-rwxr-xr-x
2024-04-10 00:32
rtmon
90.39
KB
-rwxr-xr-x
2022-03-24 20:56
runlevel
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
runuser
54.38
KB
-rwxr-xr-x
2024-04-10 00:32
service
8.88
KB
-rwxr-xr-x
2022-02-16 07:32
setcap
14.3
KB
-rwxr-xr-x
2025-02-21 00:51
sfdisk
102.38
KB
-rwxr-xr-x
2024-04-10 00:32
shadowconfig
885
B
-rwxr-xr-x
2021-11-12 00:42
shutdown
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
sshd
899.7
KB
-rwxr-xr-x
2025-04-11 21:05
start-stop-daemon
47.35
KB
-rwxr-xr-x
2025-09-10 05:09
sudo_logsrvd
200.1
KB
-rwxr-xr-x
2025-06-25 21:48
sudo_sendlog
107.34
KB
-rwxr-xr-x
2025-06-25 21:48
sulogin
42.38
KB
-rwxr-xr-x
2024-04-10 00:32
swaplabel
18.38
KB
-rwxr-xr-x
2024-04-10 00:32
swapoff
22.38
KB
-rwxr-xr-x
2024-04-10 00:32
swapon
42.38
KB
-rwxr-xr-x
2024-04-10 00:32
switch_root
22.38
KB
-rwxr-xr-x
2024-04-10 00:32
sysctl
30.23
KB
-rwxr-xr-x
2023-10-31 20:36
tarcat
936
B
-rwxr-xr-x
2023-12-05 14:15
tc
614.08
KB
-rwxr-xr-x
2022-03-24 20:56
telinit
1.06
MB
-rwxr-xr-x
2026-06-06 00:40
tipc
90.44
KB
-rwxr-xr-x
2022-03-24 20:56
tune2fs
102.55
KB
-rwxr-xr-x
2023-10-09 10:50
tzconfig
106
B
-rwxr-xr-x
2025-04-22 19:15
unix_chkpwd
26.15
KB
-rwxr-sr-x
2025-06-12 23:45
unix_update
30.15
KB
-rwxr-xr-x
2025-06-12 23:45
update-ca-certificates
5.29
KB
-rwxr-xr-x
2024-09-25 02:46
update-passwd
34.56
KB
-rwxr-xr-x
2022-03-23 18:42
update-rc.d
16.92
KB
-rwxr-xr-x
2021-12-08 06:55
update-shells
3.72
KB
-rwxr-xr-x
2022-03-23 22:49
useradd
127.66
KB
-rwxr-xr-x
2024-02-06 21:54
userdel
86.85
KB
-rwxr-xr-x
2024-02-06 21:54
usermod
123.46
KB
-rwxr-xr-x
2024-02-06 21:54
vdpa
30.56
KB
-rwxr-xr-x
2022-03-24 20:56
veritysetup
43.76
KB
-rwxr-xr-x
2025-03-08 02:50
vigr
56.53
KB
-rwxr-xr-x
2024-02-06 21:54
vipw
56.53
KB
-rwxr-xr-x
2024-02-06 21:54
visudo
219.79
KB
-rwxr-xr-x
2025-06-25 21:48
wipefs
38.38
KB
-rwxr-xr-x
2024-04-10 00:32
wpa_action
1.69
KB
-rwxr-xr-x
2025-07-22 08:13
wpa_cli
140.31
KB
-rwxr-xr-x
2025-07-22 08:13
wpa_supplicant
3.24
MB
-rwxr-xr-x
2025-07-22 08:13
xtables-legacy-multi
96.95
KB
-rwxr-xr-x
2024-01-17 06:14
xtables-monitor
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
xtables-nft-multi
219.04
KB
-rwxr-xr-x
2024-01-17 06:14
zic
62.32
KB
-rwxr-xr-x
2026-01-30 17:20
zramctl
54.52
KB
-rwxr-xr-x
2024-04-10 00:32
Save
Rename
#!/bin/sh # SPDX-License-Identifier: GPL-2.0-or-later # Copyright 2021 Helmut Grohne <helmut@subdivi.de> # A "hashset" is a shell variable containing a sequence of elements separated # and surrounded by hash (#) characters. None of the elements may contain a # hash character. The character is thus chosen, because it initiates a comment # in /etc/shells. All variables ending in _SHELLS in this file are hashsets. set -e # Check whether hashset $1 contains element $2. hashset_contains() { case "$1" in *"#$2#"*) return 0 ;; *) return 1 ;; esac } log() { if [ "$VERBOSE" = 1 ]; then echo "$*" fi } ROOT= VERBOSE=0 NOACT=0 while [ $# -gt 0 ]; do case "$1" in --help) cat <<EOF usage: $0 [options] --no-act Do not move the actual update into place --verbose Be more verbose --root DIR Operate on the given chroot, defaults to / EOF exit 0 ;; --no-act) NOACT=1 ;; --root) shift if [ "$#" -lt 1 ]; then echo "missing argument to --root" 1>&2 exit 1 fi ROOT=$1 ;; --verbose) VERBOSE=1 ;; *) echo "unrecognized option $1" 1>&2 exit 1 ;; esac shift done PKG_DIR="$ROOT/usr/share/debianutils/shells.d" STATE_FILE="$ROOT/var/lib/shells.state" TARGET_ETC_FILE="$ROOT/etc/shells" SOURCE_ETC_FILE="$TARGET_ETC_FILE" NEW_ETC_FILE="$TARGET_ETC_FILE.tmp" NEW_STATE_FILE="$STATE_FILE.tmp" if ! test -e "$SOURCE_ETC_FILE"; then SOURCE_ETC_FILE="$ROOT/usr/share/debianutils/shells" fi PKG_SHELLS='#' LC_COLLATE=C.UTF-8 # glob in reproducible order for f in "$PKG_DIR/"*; do [ "$f" = "$PKG_DIR/*" ] && break while IFS='#' read -r line _; do [ -n "$line" ] || continue PKG_SHELLS="$PKG_SHELLS$line#" realshell=$(dpkg-realpath --root "$ROOT" "$line") if [ "$line" != "$realshell" ]; then PKG_SHELLS="$PKG_SHELLS$realshell#" fi done < "$f" done STATE_SHELLS='#' if [ -e "$STATE_FILE" ] ; then while IFS='#' read -r line _; do [ -n "$line" ] && STATE_SHELLS="$STATE_SHELLS$line#" done < "$STATE_FILE" fi cleanup() { rm -f "$NEW_ETC_FILE" "$NEW_STATE_FILE" } trap cleanup EXIT : > "$NEW_ETC_FILE" ETC_SHELLS='#' while IFS= read -r line; do shell=${line%%#*} # copy all comment lines, packaged shells and local additions if [ -z "$shell" ] || hashset_contains "$PKG_SHELLS" "$shell" || ! hashset_contains "$STATE_SHELLS" "$shell"; then echo "$line" >> "$NEW_ETC_FILE" ETC_SHELLS="$ETC_SHELLS$shell#" else log "removing shell $shell" fi done < "$SOURCE_ETC_FILE" : > "$NEW_STATE_FILE" saved_IFS=$IFS IFS='#' set -f # shellcheck disable=SC2086 # word splitting intended, globbing disabled set -- ${PKG_SHELLS###} set +f IFS=$saved_IFS for shell; do echo "$shell" >> "$NEW_STATE_FILE" # add shells that are neither already present nor locally removed if ! hashset_contains "$ETC_SHELLS" "$shell" && ! hashset_contains "$STATE_SHELLS" "$shell"; then echo "$shell" >> "$NEW_ETC_FILE" log "adding shell $shell" fi done if [ "$NOACT" = 0 ]; then if [ -e "$STATE_FILE" ]; then chmod --reference="${STATE_FILE}" "${NEW_STATE_FILE}" || chmod $(stat -c %a "${STATE_FILE}") "${NEW_STATE_FILE}" chown --reference="${STATE_FILE}" "${NEW_STATE_FILE}" || chown $(stat -c %U "${STATE_FILE}") "${NEW_STATE_FILE}" else chmod 0644 "$NEW_STATE_FILE" fi chmod --reference="${SOURCE_ETC_FILE}" "${NEW_ETC_FILE}" || chmod $(stat -c %a "${SOURCE_ETC_FILE}") "${NEW_ETC_FILE}" chown --reference="${SOURCE_ETC_FILE}" "${NEW_ETC_FILE}" || chown $(stat -c %U "${SOURCE_ETC_FILE}") "${NEW_ETC_FILE}" sync -d "$NEW_ETC_FILE" "$NEW_STATE_FILE" mv -Z "${NEW_ETC_FILE}" "${TARGET_ETC_FILE}" || mv "${NEW_ETC_FILE}" "${TARGET_ETC_FILE}" sync "$TARGET_ETC_FILE" sync "$(dirname "$TARGET_ETC_FILE")" mv "$NEW_STATE_FILE" "$STATE_FILE" sync "$STATE_FILE" sync "$(dirname "$STATE_FILE")" trap "" EXIT fi